#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=osmnx

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=$(CURDIR) PYTHONDONTWRITEBYTECODE=1 \
		python3-coverage run --source osmnx -m pytest --verbose debian/tests/test_osmnx_offline.py

DEB_SPHINXDOC_SRCDIR=$(CURDIR)/docs/source
DEB_SPHINXDOC_BUILDDIR=$(CURDIR)/_BUILD/doc
DEB_SPHINXDOC_PKGDOCDIR=/usr/share/doc/python-$(PYBUILD_NAME)-doc
DEB_SPHINXDOC_DOCDIR=$(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/$(DEB_SPHINXDOC_PKGDOCDIR)
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -M latexpdf $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	python3 -m sphinx -M html     $(DEB_SPHINXDOC_SRCDIR) $(DEB_SPHINXDOC_BUILDDIR)
	cp -prd -t $(DEB_SPHINXDOC_DOCDIR) $(DEB_SPHINXDOC_BUILDDIR)/latex/osmnx.pdf $(DEB_SPHINXDOC_BUILDDIR)/html
	dh_sphinxdoc $(DEB_SPHINXDOC_PKGDOCDIR)/html
endif

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGELOG.md

override_dh_compress:
	dh_compress -Xtests -X.pdf
